Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ServicesC.cpp File Reference

`#include "ServicesC.h"`
`#include "tao/Typecode.h"`
`#include "ServicesC.i"`

Include dependency graph for ServicesC.cpp:

## Namespaces
namespace | CORBA
namespace | TAO
## Defines
#define | _CORBA_SERVICEINFORMATION__TAO_SEQ_CORBA_SERVICEOPTION__CS_
#define | _CORBA_SERVICEINFORMATION__TAO_SEQ_CORBA_SERVICEDETAIL__CS_
## Functions
CORBA::TypeCode | _tc_TAO_tc_CORBA_ServiceType (CORBA::tk_alias, sizeof(_oc_CORBA_ServiceType),(char *)&_oc_CORBA_ServiceType, 0, sizeof(CORBA::ServiceType))
CORBA::TypeCode | _tc_TAO_tc_CORBA_ServiceOption (CORBA::tk_alias, sizeof(_oc_CORBA_ServiceOption),(char *)&_oc_CORBA_ServiceOption, 0, sizeof(CORBA::ServiceOption))
CORBA::TypeCode | _tc_TAO_tc_CORBA_ServiceDetailType (CORBA::tk_alias, sizeof(_oc_CORBA_ServiceDetailType),(char *)&_oc_CORBA_ServiceDetailType, 0, sizeof(CORBA::ServiceDetailType))
CORBA::TypeCode | _tc_TAO_tc_CORBA_ServiceDetail (CORBA::tk_struct, sizeof(_oc_CORBA_ServiceDetail),(char *)&_oc_CORBA_ServiceDetail, 0, sizeof(CORBA::ServiceDetail))
CORBA::TypeCode | _tc_TAO_tc_CORBA_ServiceInformation (CORBA::tk_struct, sizeof(_oc_CORBA_ServiceInformation),(char *)&_oc_CORBA_ServiceInformation, 0, sizeof(CORBA::ServiceInformation))
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const CORBA::ServiceInformation::_tao_seq_CORBA_ServiceOption_ &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, CORBA::ServiceInformation::_tao_seq_CORBA_ServiceOption_ &_tao_sequence)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const CORBA::ServiceInformation::_tao_seq_CORBA_ServiceDetail_ &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, CORBA::ServiceInformation::_tao_seq_CORBA_ServiceDetail_ &_tao_sequence)
## Variables
const CORBA::Long | _oc_CORBA_ServiceType []
const CORBA::Long | _oc_CORBA_ServiceOption []
const CORBA::Long | _oc_CORBA_ServiceDetailType []
const CORBA::Long | _oc_CORBA_ServiceDetail []
const CORBA::Long | _oc_CORBA_ServiceInformation []

## Define Documentation

#define _CORBA_SERVICEINFORMATION__TAO_SEQ_CORBA_SERVICEDETAIL__CS_

#define _CORBA_SERVICEINFORMATION__TAO_SEQ_CORBA_SERVICEOPTION__CS_

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_CORBA_ServiceDetail | ( | CORBA::tk_struct | ,
|  | sizeof(_oc_CORBA_ServiceDetail) | ,
|  | (char *)& | _oc_CORBA_ServiceDetail,
|  | 0 | ,
|  | sizeof(CORBA::ServiceDetail) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_CORBA_ServiceDetailType | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_CORBA_ServiceDetailType) | ,
|  | (char *)& | _oc_CORBA_ServiceDetailType,
|  | 0 | ,
|  | sizeof(CORBA::ServiceDetailType) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_CORBA_ServiceInformation | ( | CORBA::tk_struct | ,
|  | sizeof(_oc_CORBA_ServiceInformation) | ,
|  | (char *)& | _oc_CORBA_ServiceInformation,
|  | 0 | ,
|  | sizeof(CORBA::ServiceInformation) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_CORBA_ServiceOption | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_CORBA_ServiceOption) | ,
|  | (char *)& | _oc_CORBA_ServiceOption,
|  | 0 | ,
|  | sizeof(CORBA::ServiceOption) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_CORBA_ServiceType | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_CORBA_ServiceType) | ,
|  | (char *)& | _oc_CORBA_ServiceType,
|  | 0 | ,
|  | sizeof(CORBA::ServiceType) |
| ) | `[static]`

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const CORBA::ServiceInformation::_tao_seq_CORBA_ServiceDetail_ & | _tao_sequence
| ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const CORBA::ServiceInformation::_tao_seq_CORBA_ServiceOption_ & | _tao_sequence
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | CORBA::ServiceInformation::_tao_seq_CORBA_ServiceDetail_ & | _tao_sequence
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | CORBA::ServiceInformation::_tao_seq_CORBA_ServiceOption_ & | _tao_sequence
| ) |

## Variable Documentation

const CORBA::Long _oc_CORBA_ServiceDetail[]`[static]`

const CORBA::Long _oc_CORBA_ServiceDetailType[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      40,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x434f5242),
      ACE_NTOHL (0x412f5365),
      ACE_NTOHL (0x72766963),
      ACE_NTOHL (0x65446574),
      ACE_NTOHL (0x61696c54),
      ACE_NTOHL (0x7970653a),
      ACE_NTOHL (0x312e3000),
        18,
      ACE_NTOHL (0x53657276),
      ACE_NTOHL (0x69636544),
      ACE_NTOHL (0x65746169),
      ACE_NTOHL (0x6c547970),
      ACE_NTOHL (0x65000000),
        CORBA::tk_ulong,

    }

const CORBA::Long _oc_CORBA_ServiceInformation[]`[static]`

const CORBA::Long _oc_CORBA_ServiceOption[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      36,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x434f5242),
      ACE_NTOHL (0x412f5365),
      ACE_NTOHL (0x72766963),
      ACE_NTOHL (0x654f7074),
      ACE_NTOHL (0x696f6e3a),
      ACE_NTOHL (0x312e3000),
        14,
      ACE_NTOHL (0x53657276),
      ACE_NTOHL (0x6963654f),
      ACE_NTOHL (0x7074696f),
      ACE_NTOHL (0x6e000000),
        CORBA::tk_ulong,

    }

const CORBA::Long _oc_CORBA_ServiceType[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      34,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x434f5242),
      ACE_NTOHL (0x412f5365),
      ACE_NTOHL (0x72766963),
      ACE_NTOHL (0x65547970),
      ACE_NTOHL (0x653a312e),
      ACE_NTOHL (0x30000000),
        12,
      ACE_NTOHL (0x53657276),
      ACE_NTOHL (0x69636554),
      ACE_NTOHL (0x79706500),
        CORBA::tk_ushort,

    }